<?php
/***************************************************************************
 *	EasyBAN_functions.php
 *
 *	begin		: December 2006
 *	version		: 7 December 2006
 *	copyright	: (C) 2006,2007 grandolini.net
 *	email		: maraja@users.sourceforge.net
 *
 *	Common functions to support EasyBAN.
 *
 *	WARNING!
 *	Code in this file is shared, be SURE to properly test EVERY modification!
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

//
//	fills the configuration default values array
//
$default_cfg_values = array(
//
//	'EasyBAN_infoe' managed values: none | each | day | week
//
	'EasyBAN_infoe' => 'none',
	'EasyBAN_word' => 'sex,xxx,porn,penis,viagra,pharmacy,meds,forum poster,ringtone,pills,pheromones,poker,casino,gold,$,',
	'EasyBAN_quar_links' => 3,
	'EasyBAN_quar_active_radio' => 0,
	'EasyBAN_sinban_all_radio' => 1,
	'EasyBAN_sinban_anony_radio' => 1,
	'EasyBAN_grpban_user_radio' => 0,
	'EasyBAN_grpban_email_radio' => 0,
	'EasyBAN_grpban_ip_radio' => 0,
	'EasyBAN_private_last_report' => 0,
);		

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//	return the EasyBAN settings
//
function get_settings($from_table = 1)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
{
	global $db, $lang, $default_cfg_values;
	$settings = array();

	if( $from_table == 1 )
	{
		$sql = "SELECT *
			FROM " . CONFIG_TABLE . "
			WHERE config_name LIKE 'EasyBAN_%'";
		if( !$result = $db->sql_query($sql) )
		{
			message_die(GENERAL_ERROR, $lang['EasyBAN_err_config_info'], '', __LINE__, __FILE__, $sql);
		}
	
		//	loop through all the settings and assign the EasyBAN ones as appropriate
		//
		$i = 0;
		while ($row = $db->sql_fetchrow($result))
		{
			$settings[$row['config_name']] = $row['config_value'];
			$i++;
		}
	}

	//	fills the missing values
	//
	foreach( $default_cfg_values as $key => $val )
	{
		if( !isset($settings[$key]) )
		{
			$settings[$key] = $val;
		}
	}

	return $settings;
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
//	deliver notification email to the forum Admin
//
function deliver_email($subject, $body)
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
{
	global $board_config, $lang;

	$emailer = new emailer($board_config['smtp_delivery']);
	$server_name = trim($board_config['server_name']);
	$server_protocol = ($board_config['cookie_secure']) ? 'https://' : 'http://';
	$server_port = ($board_config['server_port'] <> 80) ? ':' . trim($board_config['server_port']) . '/' : '/';

	$emailer->from($board_config['board_email']);
	$emailer->replyto($board_config['board_email']);
	$emailer->email_address($board_config['board_email']);
	$emailer->set_subject($subject);

	$tmp = (!empty($board_config['board_email_sig'])) ? str_replace('<br />', "\n", "-- \n" . $board_config['board_email_sig']) : '';
	$body = $body . "\n\n" . $tmp . "\n" . $board_config['sitename'];

	$emailer->msg=$body;

	$emailer->assign_vars(array(
				'EMAIL_SIG' => (!empty($board_config['board_email_sig'])) ? str_replace('<br />', "\n", "-- \n" . $board_config['board_email_sig']) : '',
				'SITENAME'	=> $board_config['sitename'])
			);

	$emailer->send();
	$emailer->reset();

	return '';
}
?>